Public Member Functions | Data Fields

# TransportedCargoStat< Tstorage > Struct Template Reference

Store the maximum and actually transported cargo amount for the current and the last month. More...

`#include <town_type.h>`

## Public Member Functions
void | NewMonth ()
| Update stats for a new month.
## Data Fields
Tstorage | old_max
| Maximum amount last month.
Tstorage | new_max
| Maximum amount this month.
Tstorage | old_act
| Actually transported last month.
Tstorage | new_act
| Actually transported this month.

## Detailed Description

### template<typename Tstorage>
struct TransportedCargoStat< Tstorage >

Store the maximum and actually transported cargo amount for the current and the last month.

Definition at line 112 of file town_type.h.

## Member Function Documentation

template<typename Tstorage>

void TransportedCargoStat< Tstorage >::NewMonth | ( |  | ) | `[inline]`

Update stats for a new month.

Definition at line 121 of file town_type.h.

The documentation for this struct was generated from the following file:

- src/town_type.h